ClusterEvent (ActiveCluster 1.0 API)
Keywords: org.codehaus.activecluster.ClusterEvent class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activecluster
Class ClusterEvent

    java.lang.Object
      org.codehaus.activecluster.ClusterEvent

All Implemented Interfaces:
  Externalizable, Serializable

public class ClusterEvent
extends Object
implements Externalizable

A cluster event

Version:
  $Revision: 1.2 $
See Also:
  Serialized Form

Field Summary
`static int` | `ADD_NODE` A node has joined the cluster
`static int` | `ELECTED_COORDINATOR` this node has been elected Coordinator
`static int` | `FAILED_NODE` A node has failed due to a system/network error
`static int` | `REMOVE_NODE` A node has left the Cluster
`static int` | `UPDATE_NODE` existing node has updated it's state

Constructor Summary
`ClusterEvent()` empty constructor
`ClusterEvent(Cluster source, Node node, int type)`

Method Summary
`Cluster` | `getCluster()`
`Node` | `getNode()`
`int` | `getType()`
`void` | `readExternal(ObjectInput in)` read from stream
`void` | `setCluster(Cluster source)` set the cluster
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)` dump on to a stream

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADD_NODE

    public static final int ADD_NODE

  A node has joined the cluster

  See Also:
    Constant Field Values

### UPDATE_NODE

    public static final int UPDATE_NODE

  existing node has updated it's state

  See Also:
    Constant Field Values

### REMOVE_NODE

    public static final int REMOVE_NODE

  A node has left the Cluster

  See Also:
    Constant Field Values

### FAILED_NODE

    public static final int FAILED_NODE

  A node has failed due to a system/network error

  See Also:
    Constant Field Values

### ELECTED_COORDINATOR

    public static final int ELECTED_COORDINATOR

  this node has been elected Coordinator

  See Also:
    Constant Field Values

Constructor Detail

### ClusterEvent

    public ClusterEvent()

  empty constructor

### ClusterEvent

    public ClusterEvent(Cluster source,
                        Node node,
                        int type)

Parameters:
  `source` -
  `node` -
  `type` -

Method Detail

### getCluster

    public Cluster getCluster()

  Returns:
    the Cluster

### setCluster

    public void setCluster(Cluster source)

  set the cluster

  Parameters:
    `source` -

### getNode

    public Node getNode()

  Returns:
    the node

### getType

    public int getType()

  Returns:
    the type of event

### toString

    public String toString()

  Returns:
    pretty type

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  dump on to a stream

  Specified by:
    `writeExternal` in interface `Externalizable`
  Parameters:
    `out` -
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  read from stream

  Specified by:
    `readExternal` in interface `Externalizable`
  Parameters:
    `in` -
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Protique, Ltd.. All Rights Reserved.